# phpMyAdmin SQL Dump
# version 2.5.2
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Nov 03, 2003 at 10:04 AM
# Server version: 3.23.56
# PHP Version: 4.2.3
# 
# Database : `torrent_tracker`
# 

# --------------------------------------------------------

#
# Table structure for table `avps`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:03 AM
#

CREATE TABLE `avps` (
  `arg` varchar(20) NOT NULL default '',
  `value_s` text NOT NULL,
  `value_i` int(11) NOT NULL default '0',
  `value_u` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`arg`)
) TYPE=MyISAM;

#
# Dumping data for table `avps`
#

INSERT INTO `avps` VALUES ('lastcleantime', '', 0, 1067875410);

# --------------------------------------------------------

#
# Table structure for table `categories`
#
# Creation: Oct 24, 2003 at 11:07 AM
# Last update: Oct 25, 2003 at 09:43 AM
#

CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `sort_index` int(10) unsigned NOT NULL default '0',
  `image` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=14 ;

#
# Dumping data for table `categories`
#

INSERT INTO `categories` VALUES (1, 'Movies', 10, 'movies.jpg');
INSERT INTO `categories` VALUES (2, 'Music', 20, 'music.jpg');
INSERT INTO `categories` VALUES (3, 'TV', 30, 'tv.jpg');
INSERT INTO `categories` VALUES (4, 'Games', 40, 'games.jpg');
INSERT INTO `categories` VALUES (5, 'Applications', 50, 'apps.jpg');
INSERT INTO `categories` VALUES (6, 'Miscellaneous', 1000, 'misc.jpg');
INSERT INTO `categories` VALUES (7, 'Pr0n', 70, 'pr0n.jpg');
INSERT INTO `categories` VALUES (8, 'Pictures', 80, 'pics.jpg');
INSERT INTO `categories` VALUES (9, 'Anime', 90, 'anime.jpg');
INSERT INTO `categories` VALUES (10, 'Comics', 100, 'comics.jpg');
INSERT INTO `categories` VALUES (11, 'Books', 110, 'books.jpg');
INSERT INTO `categories` VALUES (13, 'Music Videos', 25, 'musicvid.jpg');

# --------------------------------------------------------

#
# Table structure for table `chatcomments`
#
# Creation: Oct 24, 2003 at 11:07 AM
# Last update: Oct 24, 2003 at 11:07 AM
#

CREATE TABLE `chatcomments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `comment` text NOT NULL,
  `ip` varchar(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`id`),
  KEY `userid` (`userid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `chatcomments`
#


# --------------------------------------------------------

#
# Table structure for table `comments`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` int(10) unsigned NOT NULL default '0',
  `torrent` int(10) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `text` text NOT NULL,
  `ori_text` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user` (`user`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `comments`
#


# --------------------------------------------------------

#
# Table structure for table `files`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `files` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `torrent` (`torrent`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `files`
#


# --------------------------------------------------------

#
# Table structure for table `log`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `log` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `added` datetime default NULL,
  `txt` text,
  PRIMARY KEY  (`id`),
  KEY `added` (`added`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `log`
#


# --------------------------------------------------------

#
# Table structure for table `messages`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `messages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sender` int(10) unsigned NOT NULL default '0',
  `receiver` int(10) unsigned NOT NULL default '0',
  `added` datetime default NULL,
  `msg` text,
  `unread` enum('yes','no') NOT NULL default 'yes',
  `poster` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `receiver` (`receiver`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `messages`
#


# --------------------------------------------------------

#
# Table structure for table `peers`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `peers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `torrent` int(10) unsigned NOT NULL default '0',
  `peer_id` char(20) binary NOT NULL default '',
  `ip` char(64) NOT NULL default '',
  `port` smallint(5) unsigned NOT NULL default '0',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `to_go` bigint(20) unsigned NOT NULL default '0',
  `seeder` enum('yes','no') NOT NULL default 'no',
  `started` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `connectable` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `torrent_peer_id` (`torrent`,`peer_id`),
  KEY `torrent` (`torrent`),
  KEY `torrent_seeder` (`torrent`,`seeder`),
  KEY `last_action` (`last_action`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `peers`
#


# --------------------------------------------------------

#
# Table structure for table `ratings`
#
# Creation: Nov 03, 2003 at 10:01 AM
# Last update: Nov 03, 2003 at 10:01 AM
#

CREATE TABLE `ratings` (
  `torrent` int(10) unsigned NOT NULL default '0',
  `user` int(10) unsigned NOT NULL default '0',
  `rating` tinyint(3) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`torrent`,`user`),
  KEY `user` (`user`)
) TYPE=MyISAM;

#
# Dumping data for table `ratings`
#


# --------------------------------------------------------

#
# Table structure for table `settings`
#
# Creation: Nov 03, 2003 at 10:03 AM
# Last update: Nov 03, 2003 at 10:03 AM
# Last check: Nov 03, 2003 at 10:03 AM
#

CREATE TABLE `settings` (
  `id` tinyint(4) NOT NULL auto_increment,
  `tracker_number` varchar(4) NOT NULL default '0001',
  `tracker_name` varchar(100) NOT NULL default 'phpTracker',
  `tracker_owner` varchar(100) NOT NULL default 'Admin',
  `tracker_email` varchar(100) NOT NULL default 'admin@phptracker.com',
  `theme` char(2) NOT NULL default '01',
  `tracker_url` varchar(100) NOT NULL default 'www.phptracker.com',
  `torrents_YES` varchar(100) NOT NULL default 'Movies, Games, Music',
  `torrents_NO` varchar(100) NOT NULL default 'Pr0n',
  `tracker_info` text NOT NULL,
  `disclaimer` text NOT NULL,
  `credits` varchar(50) NOT NULL default 'CopyRight Info',
  `announce` varchar(100) NOT NULL default '',
  `torrents` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  FULLTEXT KEY `torrents_YES` (`torrents_YES`),
  FULLTEXT KEY `tracker_info` (`tracker_info`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=6 ;

#
# Dumping data for table `settings`
#

INSERT INTO `settings` VALUES (1, '0001', 'phpTracker', 'Admin', 'admin@phptracker.com', '01', 'http://www.torrenttrader.com/phpTracker', 'Movies, Games, Music', 'Pr0n', 'Description', 'None of the files shown here are actually hosted on this server. The links are provided solely by the sites users. The administrator of this site cannot be held responsible for what its users post, or any other actions of its users. You may not use this site to distribute or download any material when you do not have the legal rights to do so. It is your own responsibility to adhere to these terms.', 'CopyRight Info', 'http://www.torrenttrader.com/phpTracker/announce.php', '/home/torrent/public_html/phpTracker/torrents');

# --------------------------------------------------------

#
# Table structure for table `topics`
#
# Creation: Oct 24, 2003 at 11:07 AM
# Last update: Oct 24, 2003 at 11:07 AM
#

CREATE TABLE `topics` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) unsigned NOT NULL default '0',
  `subject` varchar(40) default NULL,
  `locked` enum('yes','no') NOT NULL default 'no',
  `forumid` int(10) unsigned NOT NULL default '0',
  `lastpost` int(10) unsigned NOT NULL default '0',
  `moved` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id`),
  KEY `userid` (`userid`),
  KEY `subject` (`subject`),
  KEY `lastpost` (`lastpost`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `topics`
#


# --------------------------------------------------------

#
# Table structure for table `torrents`
#
# Creation: Nov 03, 2003 at 10:00 AM
# Last update: Nov 03, 2003 at 10:00 AM
#

CREATE TABLE `torrents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `info_hash` varchar(20) binary NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) NOT NULL default '',
  `save_as` varchar(255) NOT NULL default '',
  `search_text` text NOT NULL,
  `descr` text NOT NULL,
  `ori_descr` text NOT NULL,
  `category` int(10) unsigned NOT NULL default '0',
  `size` bigint(20) unsigned NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` enum('single','multi') NOT NULL default 'single',
  `numfiles` int(10) unsigned NOT NULL default '0',
  `comments` int(10) unsigned NOT NULL default '0',
  `views` int(10) unsigned NOT NULL default '0',
  `hits` int(10) unsigned NOT NULL default '0',
  `times_completed` int(10) unsigned NOT NULL default '0',
  `leechers` int(10) unsigned NOT NULL default '0',
  `seeders` int(10) unsigned NOT NULL default '0',
  `last_action` datetime NOT NULL default '0000-00-00 00:00:00',
  `visible` enum('yes','no') NOT NULL default 'yes',
  `banned` enum('yes','no') NOT NULL default 'no',
  `owner` int(10) unsigned NOT NULL default '0',
  `numratings` int(10) unsigned NOT NULL default '0',
  `ratingsum` int(10) unsigned NOT NULL default '0',
  `nfo` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `info_hash` (`info_hash`),
  KEY `owner` (`owner`),
  KEY `visible` (`visible`),
  KEY `category_visible` (`category`,`visible`),
  FULLTEXT KEY `ft_search` (`search_text`,`ori_descr`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `torrents`
#


# --------------------------------------------------------

#
# Table structure for table `users`
#
# Creation: Nov 03, 2003 at 10:02 AM
# Last update: Nov 03, 2003 at 10:02 AM
#

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `first_name` varchar(30) NOT NULL default '',
  `last_name` varchar(30) NOT NULL default '',
  `username` varchar(40) NOT NULL default '',
  `PASSWORD` varchar(40) NOT NULL default '',
  `level` enum('admin','moderator','vip','member','banned') NOT NULL default 'member',
  `secret` varchar(20) binary NOT NULL default '',
  `email` varchar(80) NOT NULL default '',
  `country` varchar(50) NOT NULL default 'None Specified',
  `homepage` varchar(100) NOT NULL default 'None Specified',
  `CLIENT` varchar(50) NOT NULL default 'None Specified',
  `STATUS` enum('pending','confirmed') NOT NULL default 'pending',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_login` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_access` datetime NOT NULL default '0000-00-00 00:00:00',
  `editsecret` varchar(20) binary NOT NULL default '',
  `privacy` enum('strong','normal','low') NOT NULL default 'normal',
  `acceptpms` enum('yes','no') NOT NULL default 'yes',
  `ip` varchar(15) NOT NULL default '',
  `avatar` varchar(100) NOT NULL default 'theme/01/images/avatar.gif',
  `uploaded` bigint(20) unsigned NOT NULL default '0',
  `downloaded` bigint(20) unsigned NOT NULL default '0',
  `pmnotif` enum('yes','no') NOT NULL default 'no',
  `torrentnotif` enum('yes','no') NOT NULL default 'no',
  `title` varchar(30) NOT NULL default 'Member',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `status_added` (`STATUS`,`added`),
  KEY `ip` (`ip`),
  KEY `uploaded` (`uploaded`),
  KEY `downloaded` (`downloaded`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `users`
#

